All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components
Class AxisWallModel

    com.sas.graphics.components.AxisWallModel

    public class AxisWallModel

An AxisWallModel is used by a chart model to store all the walls and floor related properties.

## Usage

On most typical case, you should first get the AxisWallModel from the chart, then modify appropriate properties. Let's say you want to set a gradient fill on the chart wall going from red to blue:

     AxisWallModel myAxisWallModel = myBarChartModel.getAxisWallModel();
     myAxisWallModel.getWallFillStyle().setFillType(FillStyle.FILL_TYPE_GRADIENT);
     myAxisWallModel.getWallFillStyle().setGradientFill(FillStyle.GRADIENT_FILL_DIAGONAL_DOWN);
     myAxisWallModel.getWallFillStyle().setGradientFillBeginColor(Color.RED);
     myAxisWallModel.getWallFillStyle().setGradientFillEndColor(Color.BLUE);

## Behavior

If you create an instance of AxisWallModel and use the setter to attach it to the chart model, you will loose the Graph Style related values. Since the GraphModel already has a AxisWallModel when it is created, it is advised to access the AxisWallModel from the GraphModel by calling graphModel.getAxisWallModel() and then modify its properties.

Since:
  SAS 9.1
See Also:
  `ModelBase`, `FillStyle`, `BarChartModel`, `ScatterPlotModel`, `LinePlotModel`

Constructor Summary
`AxisWallModel()` Default constructor.

Method Summary
`void` | `apply(AxisWallModel theOtherObject)` Utility method to convey properties contained in "theOtherObject" to this object.
`boolean` | `equals(java.lang.Object obj)` Determines whether another object is equal to this `AxisWallModel`.
`FillStyle` | `getFloorFillStyle()` Returns the fill attributes for the axis floor.
`FillStyle` | `getWallFillStyle()` Returns the fill attributes for the axis walls.
`int` | `hashCode()` Computes the hash code for this `AxisWallModel`.
`void` | `setFloorFillStyle(FillStyle newFillStyle)` Set the fill attributes for the axis floor.
`void` | `setWallFillStyle(FillStyle newWallFillStyle)` Set the fill attributes for the axis walls.

Methods inherited from class com.sas.graphics.components.ModelBase
`addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, setContainedModel`

Constructor Detail

### AxisWallModel

    public AxisWallModel()

  Default constructor.

Method Detail

### apply

    public void apply(AxisWallModel theOtherObject)

  Utility method to convey properties contained in "theOtherObject" to this object.

  Note: Contained "models" (i.e. properties that are subclasses of ModelBase) will in turn be called on to convey their properties to the like contained models in the other object. In that respect this can be considered a "tree" type copy.

  Also Note: This is a deep copy. Thus after the copy, mutable properties will not be shared by the two instances.

  Parameters:
    `theOtherObject` - a AxisWallModel whose properties to be applied

### setWallFillStyle

    public void setWallFillStyle(FillStyle newWallFillStyle)
                          throws java.lang.IllegalArgumentException

  Set the fill attributes for the axis walls. Note: At this time, axis wall's do not support image fills.

  Parameters:
    `newWallFillStyle` - the new repository for the axis wall fill attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newWallFillStyle is null.
  See Also:
    `getWallFillStyle()`, `FillStyle.apply(com.sas.graphics.components.FillStyle)`

### getWallFillStyle

    public FillStyle getWallFillStyle()

  Returns the fill attributes for the axis walls.

  Returns:
    FillStyle repository for wall fill properties
  See Also:
    `setWallFillStyle(com.sas.graphics.components.FillStyle)`, `FillStyle.apply(com.sas.graphics.components.FillStyle)`

### setFloorFillStyle

    public void setFloorFillStyle(FillStyle newFillStyle)
                           throws java.lang.IllegalArgumentException

  Set the fill attributes for the axis floor.

  Parameters:
    `newFillStyle` - - the new repository for the axis floor fill attributes
  Throws:
    `java.lang.IllegalArgumentException` - if newFillStyle is null.
  See Also:
    `getFloorFillStyle()`, `FillStyle.apply(com.sas.graphics.components.FillStyle)`

### getFloorFillStyle

    public FillStyle getFloorFillStyle()

  Returns the fill attributes for the axis floor.

  Note: Floor is not visible for two-dimensional charts.

  Returns:
    FillStyle repository for floor fill properties
  See Also:
    `setFloorFillStyle(com.sas.graphics.components.FillStyle)`, `FillStyle.apply(com.sas.graphics.components.FillStyle)`

### equals

    public boolean equals(java.lang.Object obj)

  Determines whether another object is equal to this `AxisWallModel`.

  The result is `true` if and only if the argument is not `null` and is a `AxisWallModel` object that has the same property values as this object.

  Overrides:
    `equals` in class `ModelBase`
  Parameters:
    `obj` - the object to test for equality with this `AxisWallModel`
  Returns:
    `true` if the objects are the same; `false` otherwise.

### hashCode

    public int hashCode()

  Computes the hash code for this `AxisWallModel`.

  Overrides:
    `hashCode` in class `ModelBase`
  Returns:
    a hash code value for this object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.